Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Join us on July 14 for a live webinar to Build AI agents users can follow and trust with Box and LangChain. Register now!
cURL
curl -i -X OPTIONS "https://api.box.com/2.0/events" \ -H "authorization: Bearer <ACCESS_TOKEN>"
client.events.get_events_with_long_polling()
await client.events.getEventsWithLongPolling();
try await client.events.getEventsWithLongPolling()
client.getEvents().getEventsWithLongPolling()
await client.Events.GetEventsWithLongPollingAsync();
{ "chunk_size": 1, "entries": [ { "type": "realtime_server", "url": "http://2.realtime.services.box.net/subscribe?channel=cc807c9c4869ffb1c81a&stream_type=all", "ttl": "10", "max_retries": "10", "retry_timeout": 610 } ] }
{ "type": "error", "status": 400, "code": "item_name_invalid", "message": "Method Not Allowed", "context_info": { "message": "Something went wrong" }, "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/", "request_id": "abcdef123456"}
The access token received from the authorization server in the OAuth 2.0 flow.
Long pollingイベントの通常のエンドポイントの代わりに使用できるページ割りされたサーバーの配列を返します。
Long pollingに使用できるリアルタイムサーバーのリスト。
このレスポンス内の項目の数。
1
リアルタイムサーバーのリスト。
Show child attributes
このページは役に立ちましたか?